#include <bits/stdc++.h>
#define LL long long 
using namespace std;


constexpr int _wa = 0;
constexpr int _ok = 100;

void quitf(int status, const char* s) {
  printf("%d\n", status);
  fprintf(stderr, "%s\n", s);
  exit(0);
}

LL x[100000+3],y[100000+3];
char s[10000+3];

int main(int argc, char** argv) {
  FILE *fin  = fopen("input", "r");
  FILE *fans  = fopen("user_out", "r");
  
  int n;
  
  
  fscanf(fin, "%d\n", &n);
  for (int i=1;i<=2*n;i++){
  	fscanf(fin,"%d%d\n",&x[i],&y[i]);
  }
  
  int m=0;
  int a=-1,b=-1;

  fscanf(fans,"%d%d",&a,&b);
  
  //cout << a << ' ' << b << endl;
  
  if (a<=0 || b<=0 || a>2*n || b>2*n) quitf(_wa,"WA");
  

  int sum1=0,sum2=0;
  for (int i=1;i<=2*n;i++){
  	if (i==a) continue;
  	if (i==b) continue;
  	LL x1=x[b]-x[a],y1=y[b]-y[a];
	LL x2=x[i]-x[a],y2=y[i]-y[a];
	LL xj=x1*y2-x2*y1;
	if (xj>0) sum1++;
	else sum2++; 
  }
  if (sum1==n-1 && sum2==n-1) quitf(_ok, "AC");
  else quitf(_wa,"WA");
  return 0;
}

